{% extends "layout.html" %}
{% block content %}
    <div class="boxShadow" style="padding-bottom: 10%;" id="plant-creator">
        <div class="row justify-content-center" style="padding-top: 20px;">
            <div style="text-align: center;">
                <p class="display-3">Plants Menu</p>
                <hr/>
                <form onsubmit="return false">
                    <div class="form-group">
                        <input type="text" class="form-control" id="plant-human-name"
                               placeholder="Plant Name, E.g. Dave" required>
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" id="plant-type" placeholder="Plant Type/Species">
                    </div>
                    <div class="form-group">
                        <input type="number" class="form-control" id="plant-water-freq" placeholder="Watering Frequency (days)"
                               required>
                    </div>
                    <div class="form-group">
                        <input type="date" class="form-control" id="plant-last-watered" placeholder="Last Watered">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" id="plant-location" placeholder="Location E.g. Kitchen">
                    </div>
                    <br/>
                    <h6 id="uploaded-text" style="display: none">Added</h6>
                    <br/>
                    <button type="submit" onclick="createPlant()" class="btn btn-primary">Submit</button>
                </form>
            </div>
        </div>
    </div>
    <div class="row" style="padding-top: 10px; text-align: center;">
        {% for plant in plants %}
            {% include "plant-manage-div.html" %}
        {% endfor %}
    </div>
    <script>
        window.addEventListener('load',
            function () {
                checkIfPlantCreated();

            }, false)
        function checkIfPlantCreated() {
            axios.get(`/plants/count/`).then((data) => {
                if(data.data.count > 0){
                    document.getElementById("plant-creator").style.display = "none"
                }
                else{
                    document.getElementById("plant-creator").style.display = "block"
                }
            });
        }
        function createPlant() {
            let plant = {
                human_name: document.getElementById("plant-human-name").value,
                last_watered: document.getElementById("plant-last-watered").value,
                days_between_watering: document.getElementById("plant-water-freq").value,
                species: document.getElementById("plant-type").value,
                location: document.getElementById("plant-location").value
            }
            axios.post('/plants/', {
                plant
            })
                .then(function (response) {
                    document.getElementById("uploaded-text").textContent = "Plant Added";
                    location.reload()
                })
                .catch(function (error) {
                    console.log(error);
                    document.getElementById("uploaded-text").textContent = "An Error has Occurred";
                }).finally(function (response) {
                document.getElementById("uploaded-text").style.display = "block";
            })

        }
    </script>
{% endblock %}
